Skip to content
LogoLogo

Log manual time against a Task

Log manual time against a Task

POST/api/v1/tasks/{task_id}/time-entries

Path Parameters

task_idRequired
string <uuid>
Example0198ac5e-f9b7-7000-8000-000000000001

Header Parameters

X-CSRF-TokenRequired
string·min 43·max 43

Session-bound CSRF token. It must exactly match the __Host-assign_csrf cookie sent with the request.

Idempotency-KeyRequired
string·min 16·max 200

Opaque client-generated key for safely retrying this operation.

Request Body

application/json
durationRequired
string·min 2·max 128
work_dateRequired
string <date>
note
string·max 2000

Responses